#ifndef _INCLUDE_UTILS_
#define _INCLUDE_UTILS_

#define DUMMY -1

void print_array_two_mark_(int ary[], int size, int a, int b) {
  for (int i = 0; i < size; i++) {
    if (i == a || i == b)
      printf("x ");
    else
      printf("  ");
  }
  printf("\n");
}

int* get_ary(int size, char *argv[]) {
  int *ary = malloc(sizeof(int) * size);

  for (int i = 0; i < size; i++) {
    ary[i] = atoi(argv[i]);
  }

  return ary;
}

//heap index start from 1
int* get_heap(int size, char *argv[]) {
  int *ary = malloc(sizeof(int) * (size + 1));

  for (int i = 0; i < size; i++) {
    ary[i + 1] = atoi(argv[i]);
  }

  return ary;
}

int* get_heap_a(int size, char *argv[]) {
  int *ary = malloc(sizeof(int) * (size + 2));

  for (int i = 0; i < size; i++) {
    ary[i + 1] = atoi(argv[i]);
  }

  return ary;
}

void print_ary(int ary[], int size) {
  for (int i = 0; i < size; i++)
    printf("%d ", ary[i]);

  printf("\n");
}

void print_heap(int heap[], int size) {
  for (int i = 0; i < size; i++)
    printf("%d ", heap[i + 1]);

  printf("\n");
}

#endif
